> For the complete documentation index, see [llms.txt](https://docs.toomuchmedia.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.toomuchmedia.com/api/api-endpoints/affiliate/api-affiliate-restore-account-type.md).

# /api/affiliate/restore‑account‑type

## PATCH /api/affiliate/restore-account-type

> Restore a deleted affiliate

```json
{"openapi":"3.0.2","info":{"title":"API Specification","version":"v1"},"tags":[{"name":"/api/affiliate/restore-account-type"}],"security":[{"api-key":[],"api-username":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"api-key"}},"schemas":{"patch_affiliate_restore-account-type":{"type":"object","properties":{"success":{"type":"boolean"}},"required":["accountid"]}}},"paths":{"/api/affiliate/restore-account-type":{"patch":{"description":"Restore a deleted affiliate","tags":["/api/affiliate/restore-account-type"],"parameters":[{"name":"accountid","in":"query","schema":{"type":"integer"},"required":true}],"responses":{"200":{"description":"success","content":{"text/php":{"schema":{"$ref":"#/components/schemas/patch_affiliate_restore-account-type"}},"application/json":{"schema":{"$ref":"#/components/schemas/patch_affiliate_restore-account-type"}},"application/xml":{"schema":{"$ref":"#/components/schemas/patch_affiliate_restore-account-type"}}}}}}}}}
```
